# ReweightingSchema

class `openff.evaluator.layers.reweighting.``ReweightingSchema`

  A schema which encodes the options and the workflow schema that the SimulationLayer should use when estimating a given class of physical properties using the built-in workflow framework.

  `__init__`()

    Initialize self. See help(type(self)) for accurate signature.

  Methods

  `__init__` | Initialize self.
  `from_json`(file_path) | Create this object from a JSON file.
  `get_attributes`([attribute_type]) | Returns all attributes of a specific attribute_type.
  `json`([file_path, format]) | Creates a JSON representation of this class.
  `parse_json`(string_contents[, encoding]) | Parses a typed json string into the corresponding class structure.
  `validate`([attribute_type]) | Validate the values of the attributes.

  Attributes

  `absolute_tolerance` | The absolute uncertainty that the property should be estimated to within.
  `maximum_data_points` | The maximum number of data points to include as part of the multi-state reweighting calculations.
  `relative_tolerance` | The relative uncertainty that the property should be estimated to within, i.e relative_tolerance * measured_property.uncertainty.
  `storage_queries` | The queries to perform when retrieving data for each of the components in the system from the storage backend.
  `temperature_cutoff` | The maximum difference between the target temperature and the temperature at which cached data was collected to.
  `workflow_schema` | The workflow schema to use when estimating properties.

  `storage_queries`

    The queries to perform when retrieving data for each of the components in the system from the storage backend. The keys of this dictionary will correspond to the metadata keys made available to the workflow system.

    Type

      dict

  `maximum_data_points`

    The maximum number of data points to include as part of the multi-state reweighting calculations. If zero, no cap will be applied. The default value of this attribute is `4`.

    Type

      int

  `temperature_cutoff`

    The maximum difference between the target temperature and the temperature at which cached data was collected to. Data collected for temperatures outside of this cutoff will be ignored. The default value of this attribute is `5.0 K`.

    Type

      Quantity

  `validate`(attribute_type=None)

    Validate the values of the attributes. If attribute_type is set, only attributes of that type will be validated.

    Parameters

      attribute_type (type of Attribute, optional) – The type of attribute to validate.

    Raises

      ValueError or AssertionError –

  `absolute_tolerance`

    The absolute uncertainty that the property should be estimated to within. This attribute is mutually exclusive with the relative_tolerance attribute. The default value of this attribute is not set. This attribute is optional.

    Type

      Quantity

  classmethod `from_json`(file_path)

    Create this object from a JSON file.

    Parameters

      file_path (str) – The path to load the JSON from.

    Returns

      The parsed class.

    Return type

      cls

  classmethod `get_attributes`(attribute_type=None)

    Returns all attributes of a specific attribute_type.

    Parameters

      attribute_type (type of Attribute, optional) – The type of attribute to search for.

    Returns

      The names of the attributes of the specified type.

    Return type

      list of str

  `json`(file_path=None, format=False)

    Creates a JSON representation of this class.

    Parameters

      - file_path (str, optional) – The (optional) file path to save the JSON file to.

      - format (bool) – Whether to format the JSON or not.

    Returns

      The JSON representation of this class.

    Return type

      str

  classmethod `parse_json`(string_contents, encoding='utf8')

    Parses a typed json string into the corresponding class structure.

    Parameters

      - string_contents (str or bytes) – The typed json string.

      - encoding (str) – The encoding of the string_contents.

    Returns

      The parsed class.

    Return type

      Any

  `relative_tolerance`

    The relative uncertainty that the property should be estimated to within, i.e relative_tolerance * measured_property.uncertainty. This attribute is mutually exclusive with the absolute_tolerance attribute. The default value of this attribute is not set. This attribute is optional.

    Type

      float

  `workflow_schema`

    The workflow schema to use when estimating properties. The default value of this attribute is not set and must be set by the user..

    Type

      WorkflowSchema